OpenSCAD: Scala la mesh

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page OpenSCAD ScaleMeshFeature and the translation is 33% complete.
Other languages:
English • ‎français • ‎italiano
Arrow-left.svg OpenSCAD MirrorMeshFeature.svg Specchia la mesh Pagina precedente:
Pagina successiva: Ridimensiona le mesh Arrow-right.svg

OpenSCAD ScaleMesh.svg Scala la mesh

Nome nel codice
OpenSCAD_ScaleMesh
Posizione nel menu
OpenSCAD → Scala la mesh
Ambiente
OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche


Description

Creates a new scaled mesh object with independent scaling for each axis.

OpenSCAD ScaleMesh.svg

Usage

  1. Select the mesh object to be scaled.
  2. Click the OpenSCAD → Scale Mesh Feature... menu.
  3. Select the desired axis in the dialog, or enter your own custom axis to use and click OK.
  • A new mesh object is created and scaled, the original object is rendered hidden.

Limitations

  • The new mesh object is not parametric to the original mesh object, which means any changes to the original object do not get reflected in the new scaled object.

Notes

  • The function does not modify the existing mesh, but returns a new mesh.
  • The function can be accessed via python:
import OpenSCADUtils
import Mesh
#this assumes an existing object in the document named "Mesh" that you wish to scale
original_mesh = App.ActiveDocument.Mesh
scaled_mesh = OpenSCADUtils.scalemesh(original_mesh.Mesh, FreeCAD.Base.Vector(1,0,0))
Mesh.show(scaled_mesh)



Arrow-left.svg OpenSCAD MirrorMeshFeature.svg Specchia la mesh Pagina precedente:
Pagina successiva: Ridimensiona le mesh Arrow-right.svg